/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRODRALIMENT                                             */
/* Tabela : PRODRALIMENT                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 26/06/2007 - FELIPE HENRIQUE                                               */
/*                                                                            */
/******************************************************************************/


CREATE OR REPLACE TRIGGER DTULTATU_PRODRALIMENT
BEFORE INSERT OR UPDATE OR DELETE
ON PRODRALIMENT FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPRRALIM := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATUPRRALIM := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PRODRALIMENT', :OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||
                                                              ';CDCLIENTE='||:OLD.CDCLIENTE||
                                                              ';CDCONSUMIDOR='||:OLD.CDCONSUMIDOR||
                                                              ';CDFAMILISALD='||:OLD.CDFAMILISALD||
                                                              ';CDPRODUTO='||:OLD.CDPRODUTO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PRODRALIMENT MODIFY DTULTATUPRRALIM DEFAULT SYSDATE
/
UPDATE PRODRALIMENT SET DTULTATUPRRALIM = SYSDATE WHERE DTULTATUPRRALIM IS NULL
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_PRODRALIMENT','4.11.169'); END;
/

